import React, { Component } from 'react'
import { connect } from 'react-redux'
import Base from '../common/Base'
import Typography from 'material-ui/Typography'
import { withStyles } from 'material-ui/styles'

const styles = theme => ({
    root: {
        paddingTop: theme.spacing.unit * 15
    }
})

class Welcome extends Component {
    /**
     * 
     */
    render() {
        const { username, classes } = this.props

        return (
            <Base title={this.props.title}>
                <Typography className={classes.root} align='center' variant='display1' color='primary'>Hola {username},<br/>bienvenido al sistema ;)</Typography>
            </Base>
        )
    }
}

const mapStateToProps = (state, props) => {
    return {
        username: state.auth.username
    }
}

Welcome = withStyles(styles)(Welcome)

export default connect(mapStateToProps)(Welcome)