import { createReducer } from '../utils/reducer'
import { has } from 'lodash'

const initialState = {
    repositories: []
}

/**
 * 
 */
const setRepositories = (repositories, action) => {
    if (has(action.payload, 'repositories')) {
        return action.payload.repositories
    }

    return repositories
}

/**
 * 
 */
const repositoriesReducer = createReducer([], {
    'REQUEST_OK': setRepositories
})

/**
 * 
 * @param {*} state 
 * @param {*} action 
 */
export const repositories = (state = initialState, action) => {
    return repositoriesReducer(state.repositories, action)
}