import { createReducer } from '../utils/reducer'
import { has } from 'lodash'

const initialState = {
    requests: []
}

/**
 * 
 * @param {*} requests 
 * @param {*} action 
 */
const setRequests = (requests, action) => {
    if (has(action.payload, 'requests')) {
        return action.payload.requests
    }

    return requests
}

/**
 * 
 */
const requestsReducer = createReducer([], {
    'REQUEST_OK': setRequests
})

/**
 * 
 * @param {*} state 
 * @param {*} action 
 */
export const requests = (state = initialState, action) => {
    return requestsReducer(state.requests, action)
}