import { createReducer } from '../utils/reducer'

const initialState = {
    isVisible: false
}

/**
 * 
 * @param {*} visibilityState 
 * @param {*} action 
 */
const toggleSpinnerVisibility = (visibilityState, action) => {
    return !visibilityState
}

/**
 * 
 */
const spinnerVisibilityReducer = createReducer(false, {
    'REQUEST_INIT': toggleSpinnerVisibility,
    'REQUEST_OK': toggleSpinnerVisibility,
    'REQUEST_KO': toggleSpinnerVisibility
})


/**
 * 
 * @param {*} state 
 * @param {*} payload 
 */
export const spinner = (state = initialState, action) => {
    return {
        isVisible: spinnerVisibilityReducer(state.isVisible, action)
    }
}