import { createReducer } from '../utils/reducer'
import { has } from 'lodash'

const initialState = {
    running: false
}

const executePosAction = (running, action) => {
    if (!has(action.payload, 'action')) {
        return running
    }

    if (action.payload.action.type === 'redirect') {
        const params = {
            ip: action.payload.action.ip,
            port: action.payload.action.port
        }

        window.open(`${window.location.protocol}//${params.ip}:${params.port}`, '_blank')
    }

    return running
}

const taskReducer = createReducer(false, {
    'REQUEST_OK': executePosAction
})

/**
 * 
 * @param {*} state 
 * @param {*} action 
 */
export const task = (state = initialState, action) => {
    return taskReducer(state.running, action)
}