import { isEmpty, isNull  } from 'lodash'

const TOKEN_KEY = 'eiruAutomation'

/**
 * 
 */
export const hasToken = () => {
    return isEmpty(getToken())
}

/**
 * 
 */
export const getToken = () => {
    return localStorage.getItem(TOKEN_KEY)
}

/**
 * 
 * @param {*} token 
 */
export const setToken = token => {
    if (!isEmpty(token) && !token.startsWith('JWT')) {
        token = `JWT ${token}`
    }

    localStorage.setItem(TOKEN_KEY, token)

    if (isNull(token)) {
        localStorage.removeItem(TOKEN_KEY)
    }
}